#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libssh2
Version		:	1.10.0
Release		:	14.4.0.0%{?dist}
Summary		:	A library implementing the SSH2 protocol

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://www.libssh2.org/download/

Source0		:	%{name}-%{version}.tar.gz
Patch0		:	%{name}-%{version}-upstream_fix-1.patch

#-----------------------------------------------------------------------------
BuildRequires	:	coreutils
BuildRequires	:	findutils
BuildRequires	:	gcc
BuildRequires	:	make
BuildRequires	:	openssl-devel
BuildRequires	:	sed
BuildRequires	:	zlib

#-----------------------------------------------------------------------------
%description
libssh2 is a library implementing the SSH2 protocol as defined by
Internet Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25),
SECSH-CONNECTION(23), SECSH-ARCH(20), SECSH-FILEXFER(06)*,
SECSH-DHGEX(04), and SECSH-NUMBERS(10).

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license COPYING
%doc docs/AUTHORS README RELEASE-NOTES
%{_libdir}/%{name}.so.1
%{_libdir}/%{name}.so.1.*

#=============================================================================
%package		devel
Summary		:	Development files for libssh2

Requires	:	%{name}	= %{version}-%{release}
Requires	:	pkg-config

#-----------------------------------------------------------------------------
%description		devel
The libssh2-devel package contains libraries and header files for
developing applications that use libssh2.
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc example.%{_arch}/
%{_includedir}/%{name}.h
%{_includedir}/%{name}_publickey.h
%{_includedir}/%{name}_sftp.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%package		docs
Summary		:	Documentation for %{name}

Requires	:	%{name}	= %{version}-%{release}
BuildARch	:	noarch

#-----------------------------------------------------------------------------
%description		docs
The libssh2-docs package contains man pages and examples for
developing applications that use libssh2.

#-----------------------------------------------------------------------------
%files			docs
%defattr(-,root,root,-)
%doc docs/BINDINGS docs/HACKING docs/TODO NEWS
%{_mandir}/man3/%{name}_*.3*
#=============================================================================
%prep
%setup -q
%patch0 -p1

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-shared					\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

# clean things up a bit for packaging
make -C example clean
rm -rf example/.deps
find example/ -type f '(' -name '*.am' -o -name '*.in' ')' -delete
 
# avoid multilib conflict on libssh2-devel
mv -v example example.%{_arch}

#-----------------------------------------------------------------------------
%changelog
